Module sigtabl_mod
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
!----------------------------------------------------------------------
!  SIGTAB -- COMMON FOR SIGTAB PROGRAM
!    INTEGRATION OF ATOMIC AND NUCLEAR REACTION CROSS SECTIONS FOR
!  OBTAINING REACTION RATES OF INTEREST
!
  SAVE
  integer :: KREACT,KK
  real(fp) :: AMASS1,AMASS2,AMASS3,AMASS4
!MG LREACT
  CHARACTER*8 LBLREACT
  CHARACTER*20 TTLREACT
  CHARACTER*6 FILREACT
!
! HEADER RECORD IMAGE COMMON -- 512 BYTES  !!
!
!    KEY-- HEADER KEY
!     OR ZERO IF THERE ARE NO MORE BLOCKS
!    XMIN,XMAX,NXPTS -- RANGE AND NO. OF PTS FOR 1ST INDEP. COORDINATE
!     KXTYP = 1 IF PTS ARE SPACED EVENLY LINEARLY
!     KXTYP = 2 IF PTS ARE SPACED EVENLY LOGARITHMICALLY
!
!    YMIN,YMAX,NYPTS,KYTYP -- DITTO FOR SECOND INDEP. COORDINATE
!
!
  integer :: KEY,NXPTS,KXTYP,NYPTS,KYTYP 
  real(fp) ::     XMIN,XMAX,YMIN,YMAX
  integer,parameter ::  NAMAX=32768
  real(fp),dimension(namax) :: ARRAY3
!----------------------------------------------------------------------
!  ** NEW DMC 30 NOV 1990 **
!  ALADDIN INTERFACE BLOCK
!
  integer, PARAMETER :: MAXALADR=24
  integer, PARAMETER :: MAXALCF=100
  real(fp) :: ALEOVA,ALSIGMA,ALPCF(MAXALCF,MAXALADR)
  integer :: NALPCF(MAXALADR)   ! FIT COEFFICIENTS
  logical :: ALADFLAG
  integer :: LUNALAD,NUMALAD
  real(fp) :: ALEMIN(MAXALADR),ALEMAX(MAXALADR),&  ! FIT ENERGY LIMITS
       ALAMIN(MAXALADR),ALAMAX(MAXALADR),&  ! SIGMA AT FIT LIMITS
       ALSMIN(MAXALADR),ALSMAX(MAXALADR)   ! D(LN(SIGMA))/D(LN(E))
!
  CHARACTER*96 ALADFILE
  CHARACTER*64 ALADRLBL(MAXALADR)
  CHARACTER*80 ALERRMSG
  real(fp) VCFAC
  integer IFUN
!
!FROM CSV
!  COMMON/CSV/VI,T,B2
!
!	COMMON PARAMETERS
!	VI - SPEED OF INJECTED PARTICLE (CM/SEC)
!	T=.5E00*TMASS/C**2
!	B2 - BMASS(2)/(2.E00*TEMP(2))
  real(fp) VI,T,B2
!
!FROM CSTH
!      COMMON /CSVTH/ A,B,CON,EPS,ITER,IW
!
!	E - THE INTEGRATION VARIABLE.
!	PARAMETER LIST FOR COMMON BLOCK CSVTH.
!	A - =RMASS/TMASS.  (SEE SVTH)
!	B - = A/TEMP.  (SEE SVTHE)
!       CON - =SQRT(8/PI)*C (m/sec)
!	CON1 - =CON*A**1.5/SQRT(TMASS).  (SEE SVTH)
!	EPS - THE DESIRED RELATIVE ERROR IN THE REACTIVITY
!	ITER - THE MAXIMUM NUMBER OF ITERATIONS TO BE TAKEN IN ORDER
!	IW - THE LOGICAL UNIT USED FOR PRINTING.
  real(fp) a,b,con,eps
  integer ITER,IW
end Module sigtabl_mod
